Page MenuHomePhabricator

MediaWiki core @Database tests failure with sqlite
Closed, ResolvedPublic

Description

A bunch of MediaWiki core @Database tests are failing when using SQLite / PHP 7.0. A full paste of result is P6914

Tests: 5543, Assertions: 50908, Errors: 13, Failures: 21, Skipped: 3.

Some seems to be order related, others are due to auto incremented fields :-\

Notably:

  • ApiQueryContributionsTest::testSorting
  • MediaWiki\Tests\Storage\NameTableStoreTest
  • MediaWiki\Tests\Storage\RevisionStoreDbTest

Eventually reproducible (once the Quibble docker image is published) with:

docker pull docker-registry.wikimedia.org/releng/quibble-stretch:latest
docker run -it \
  -v ~/projects/integration/quibble/ref/:/srv/git:ro \
  -v ~/projects/integration/quibble/cache/:/cache \
  docker-registry.wikimedia.org/releng/quibble-stretch:latest \
  --packages-source vendor --db sqlite

1There were 13 errors:
2
31) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, with page & id" (array(2, 1, 2, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
4MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
5
6/workspace/src/includes/Storage/RevisionStore.php:277
7/workspace/src/includes/Storage/RevisionStore.php:267
8/workspace/src/includes/Storage/RevisionStore.php:1239
9/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
10/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
11/workspace/src/maintenance/doMaintenance.php:94
12
132) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, content object" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', WikitextContent Object (...)))
14MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
15
16/workspace/src/includes/Storage/RevisionStore.php:277
17/workspace/src/includes/Storage/RevisionStore.php:267
18/workspace/src/includes/Storage/RevisionStore.php:1239
19/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
20/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
21/workspace/src/maintenance/doMaintenance.php:94
22
233) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, serialized text" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'Söme Content'))
24MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
25
26/workspace/src/includes/Storage/RevisionStore.php:277
27/workspace/src/includes/Storage/RevisionStore.php:267
28/workspace/src/includes/Storage/RevisionStore.php:1239
29/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
30/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
31/workspace/src/maintenance/doMaintenance.php:94
32
334) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, serialized text, utf-8 flags" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'Söme Content', 'utf-8'))
34MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
35
36/workspace/src/includes/Storage/RevisionStore.php:277
37/workspace/src/includes/Storage/RevisionStore.php:267
38/workspace/src/includes/Storage/RevisionStore.php:1239
39/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
40/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
41/workspace/src/maintenance/doMaintenance.php:94
42
435) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, with title" (array(Title Object (...), 2, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
44MediaWiki\Storage\SqlBlobStore::fetchBlob: No text row with ID 2. [Called from MediaWiki\Storage\SqlBlobStore::fetchBlob in /workspace/src/includes/Storage/SqlBlobStore.php at line 345]
45
46/workspace/src/includes/debug/MWDebug.php:309
47/workspace/src/includes/debug/MWDebug.php:164
48/workspace/src/includes/GlobalFunctions.php:1195
49/workspace/src/includes/Storage/SqlBlobStore.php:345
50/workspace/src/includes/Storage/SqlBlobStore.php:277
51/workspace/src/includes/libs/objectcache/WANObjectCache.php:1240
52/workspace/src/includes/libs/objectcache/WANObjectCache.php:1114
53/workspace/src/includes/Storage/SqlBlobStore.php:279
54/workspace/src/includes/Storage/RevisionStore.php:926
55/workspace/src/includes/Storage/RevisionStore.php:870
56/workspace/src/includes/Storage/SlotRecord.php:308
57/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1247
58/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
59/workspace/src/maintenance/doMaintenance.php:94
60
616) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray with data set "Basic array, no user field" (array(2, 1, 2, '20171017114835', '111.0.1.3', false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
62MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
63
64/workspace/src/includes/Storage/RevisionStore.php:277
65/workspace/src/includes/Storage/RevisionStore.php:267
66/workspace/src/includes/Storage/RevisionStore.php:1239
67/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
68/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
69/workspace/src/maintenance/doMaintenance.php:94
70
717) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, with page & id" (array(2, 1, 2, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
72MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
73
74/workspace/src/includes/Storage/RevisionStore.php:277
75/workspace/src/includes/Storage/RevisionStore.php:267
76/workspace/src/includes/Storage/RevisionStore.php:1239
77/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
78/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
79/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
80/workspace/src/maintenance/doMaintenance.php:94
81
828) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, content object" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', WikitextContent Object (...)))
83MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
84
85/workspace/src/includes/Storage/RevisionStore.php:277
86/workspace/src/includes/Storage/RevisionStore.php:267
87/workspace/src/includes/Storage/RevisionStore.php:1239
88/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
89/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
90/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
91/workspace/src/maintenance/doMaintenance.php:94
92
939) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, serialized text" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'Söme Content'))
94MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
95
96/workspace/src/includes/Storage/RevisionStore.php:277
97/workspace/src/includes/Storage/RevisionStore.php:267
98/workspace/src/includes/Storage/RevisionStore.php:1239
99/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
100/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
101/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
102/workspace/src/maintenance/doMaintenance.php:94
103
10410) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, serialized text, utf-8 flags" (array(2, 1, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'Söme Content', 'utf-8'))
105MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
106
107/workspace/src/includes/Storage/RevisionStore.php:277
108/workspace/src/includes/Storage/RevisionStore.php:267
109/workspace/src/includes/Storage/RevisionStore.php:1239
110/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
111/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
112/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
113/workspace/src/maintenance/doMaintenance.php:94
114
11511) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, with title" (array(Title Object (...), 2, '20171017114835', '111.0.1.2', 0, false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
116MediaWiki\Storage\SqlBlobStore::fetchBlob: No text row with ID 2. [Called from MediaWiki\Storage\SqlBlobStore::fetchBlob in /workspace/src/includes/Storage/SqlBlobStore.php at line 345]
117
118/workspace/src/includes/debug/MWDebug.php:309
119/workspace/src/includes/debug/MWDebug.php:164
120/workspace/src/includes/GlobalFunctions.php:1195
121/workspace/src/includes/Storage/SqlBlobStore.php:345
122/workspace/src/includes/Storage/SqlBlobStore.php:277
123/workspace/src/includes/libs/objectcache/WANObjectCache.php:1240
124/workspace/src/includes/libs/objectcache/WANObjectCache.php:1114
125/workspace/src/includes/Storage/SqlBlobStore.php:279
126/workspace/src/includes/Storage/RevisionStore.php:926
127/workspace/src/includes/Storage/RevisionStore.php:870
128/workspace/src/includes/Storage/SlotRecord.php:308
129/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1247
130/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
131/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
132/workspace/src/maintenance/doMaintenance.php:94
133
13412) MediaWiki\Tests\Storage\RevisionStoreDbTest::testNewMutableRevisionFromArray_legacyEncoding with data set "Basic array, no user field" (array(2, 1, 2, '20171017114835', '111.0.1.3', false, 0, 46, 1, 'rdqbbzs3pkhihgbs8qf2q9jsvheag5z', 'Goat Comment!', 'text/x-wiki', 'wikitext'))
135MediaWiki\Storage\RevisionAccessException: Could not determine title for page ID 1 and revision ID 2
136
137/workspace/src/includes/Storage/RevisionStore.php:277
138/workspace/src/includes/Storage/RevisionStore.php:267
139/workspace/src/includes/Storage/RevisionStore.php:1239
140/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1219
141/workspace/src/tests/phpunit/includes/Storage/RevisionStoreDbTest.php:1275
142/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
143/workspace/src/maintenance/doMaintenance.php:94
144
14513) LBFactoryTest::testTrickyDomain
146Wikimedia\Rdbms\DBConnectionError: Cannot access the database: Error selecting database 'wikidb' on server from client host 370e07a52f49 ()
147
148/workspace/src/includes/libs/rdbms/database/Database.php:903
149/workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php:1125
150/workspace/src/includes/libs/rdbms/loadbalancer/LoadBalancer.php:741
151/workspace/src/tests/phpunit/includes/db/LBFactoryTest.php:481
152/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
153/workspace/src/maintenance/doMaintenance.php:94
154
155--
156
157There were 21 failures:
158
1591) PageArchiveTest::testListRevisions
160Failed asserting that two arrays are equal.
161--- Expected
162+++ Actual
163@@ @@
164 'ar_deleted' => '0'
165- 'ar_rev_id' => '3'
166+ 'ar_rev_id' => '263'
167 'ar_sha1' => '0qdrpxl537ivfnx4gcpnzz0285yxryy'
168- 'ar_page_id' => '2'
169+ 'ar_page_id' => '181'
170@@ @@
171 'ts_tags' => null
172- 'ar_id' => '2'
173+ 'ar_id' => '37'
174 'ar_namespace' => '0'
175 'ar_title' => 'PageArchiveTest_thePage'
176 'ar_text' => ''
177- 'ar_text_id' => '3'
178- 'ar_parent_id' => '2'
179+ 'ar_text_id' => '209'
180+ 'ar_parent_id' => '262'
181 )
182
183/workspace/src/tests/phpunit/includes/PageArchiveTest.php:176
184/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
185/workspace/src/maintenance/doMaintenance.php:94
186
1872) PageArchiveTest::testGetTextFromRow
188Failed asserting that false is identical to 'testing'.
189
190/workspace/src/tests/phpunit/includes/PageArchiveTest.php:250
191/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
192/workspace/src/maintenance/doMaintenance.php:94
193
1943) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "no wancache, one matching value" (EmptyBagOStuff Object (...), false, 1, array('foo'), 'foo', 1)
195Failed asserting that 2 is identical to 1.
196
197/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:145
198/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
199/workspace/src/maintenance/doMaintenance.php:94
200
2014) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "no wancache, one not matching value" (EmptyBagOStuff Object (...), true, 1, array('bar'), 'foo', 2)
202Failed asserting that 4 is identical to 2.
203
204/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:155
205/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
206/workspace/src/maintenance/doMaintenance.php:94
207
2085) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "no wancache, multiple, one matching value" (EmptyBagOStuff Object (...), false, 1, array('foo', 'bar'), 'bar', 2)
209Failed asserting that 6 is identical to 2.
210
211/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:145
212/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
213/workspace/src/maintenance/doMaintenance.php:94
214
2156) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "no wancache, multiple, no matching value" (EmptyBagOStuff Object (...), true, 1, array('foo', 'bar'), 'baz', 3)
216Failed asserting that 9 is identical to 3.
217
218/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:155
219/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
220/workspace/src/maintenance/doMaintenance.php:94
221
2227) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "wancache, empty table" (HashBagOStuff Object (...), true, 1, array(), 'foo', 1)
223Failed asserting that 10 is identical to 1.
224
225/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:155
226/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
227/workspace/src/maintenance/doMaintenance.php:94
228
2298) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "wancache, one matching value" (HashBagOStuff Object (...), false, 1, array('foo'), 'foo', 1)
230Failed asserting that 11 is identical to 1.
231
232/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:145
233/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
234/workspace/src/maintenance/doMaintenance.php:94
235
2369) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "wancache, one not matching value" (HashBagOStuff Object (...), true, 1, array('bar'), 'foo', 2)
237Failed asserting that 13 is identical to 2.
238
239/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:155
240/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
241/workspace/src/maintenance/doMaintenance.php:94
242
24310) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "wancache, multiple, one matching value" (HashBagOStuff Object (...), false, 1, array('foo', 'bar'), 'bar', 2)
244Failed asserting that 15 is identical to 2.
245
246/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:145
247/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
248/workspace/src/maintenance/doMaintenance.php:94
249
25011) MediaWiki\Tests\Storage\NameTableStoreTest::testGetAndAcquireId with data set "wancache, multiple, no matching value" (HashBagOStuff Object (...), true, 1, array('foo', 'bar'), 'baz', 3)
251Failed asserting that 18 is identical to 3.
252
253/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:155
254/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
255/workspace/src/maintenance/doMaintenance.php:94
256
25712) MediaWiki\Tests\Storage\NameTableStoreTest::testGetMap_twoValues
258Failed asserting that Array &0 (
259 30 => 'foo'
260 31 => 'bar'
261) is identical to Array &0 (
262 2 => 'bar'
263 1 => 'foo'
264).
265
266/workspace/src/tests/phpunit/includes/Storage/NameTableStoreTest.php:261
267/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
268/workspace/src/maintenance/doMaintenance.php:94
269
27013) ApiQueryContributionsTest::testSorting with data set "User IDs, write both" (1, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), false, 9)
271Batching with limit 1
272Failed asserting that 10 is equal to 9 or is less than 9.
273
274/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:115
275/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
276/workspace/src/maintenance/doMaintenance.php:94
277
27814) ApiQueryContributionsTest::testSorting with data set "User IDs, write both, reverse" (1, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), true, 9)
279Result set is the same when batching with limit 1
280Failed asserting that Array &0 (
281 'ApiQueryContributionsTest B' => Array &1 (
282 0 => 1282
283 )
284) is identical to Array &0 (
285 'ApiQueryContributionsTest B' => Array &1 (
286 0 => 1282
287 1 => 1289
288 2 => 1296
289 )
290 'ApiQueryContributionsTest A' => Array &2 (
291 0 => 1281
292 1 => 1288
293 2 => 1295
294 )
295 'ApiQueryContributionsTest C' => Array &3 (
296 0 => 1280
297 1 => 1287
298 2 => 1294
299 )
300).
301
302/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:117
303/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
304/workspace/src/maintenance/doMaintenance.php:94
305
30615) ApiQueryContributionsTest::testSorting with data set "User IDs, write new" (2, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), false, 9)
307Batching with limit 1
308Failed asserting that 10 is equal to 9 or is less than 9.
309
310/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:115
311/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
312/workspace/src/maintenance/doMaintenance.php:94
313
31416) ApiQueryContributionsTest::testSorting with data set "User IDs, write new, reverse" (2, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), true, 9)
315Result set is the same when batching with limit 1
316Failed asserting that Array &0 (
317 'ApiQueryContributionsTest B' => Array &1 (
318 0 => 1282
319 )
320) is identical to Array &0 (
321 'ApiQueryContributionsTest B' => Array &1 (
322 0 => 1282
323 1 => 1289
324 2 => 1296
325 )
326 'ApiQueryContributionsTest A' => Array &2 (
327 0 => 1281
328 1 => 1288
329 2 => 1295
330 )
331 'ApiQueryContributionsTest C' => Array &3 (
332 0 => 1280
333 1 => 1287
334 2 => 1294
335 )
336).
337
338/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:117
339/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
340/workspace/src/maintenance/doMaintenance.php:94
341
34217) LBFactoryTest::testNiceDomains
343Failed asserting that two strings are equal.
344--- Expected
345+++ Actual
346@@ @@
347-'wikidb-my_'
348+''
349
350/workspace/src/tests/phpunit/includes/db/LBFactoryTest.php:416
351/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
352/workspace/src/maintenance/doMaintenance.php:94
353
35418) LoadBalancerTest::testWithoutReplica
355No DBO_TRX with CONN_TRX_AUTO
356Failed asserting that true is false.
357
358/workspace/src/tests/phpunit/includes/db/LoadBalancerTest.php:71
359/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
360/workspace/src/maintenance/doMaintenance.php:94
361
36219) LoadBalancerTest::testWithReplica
363No DBO_TRX with CONN_TRX_AUTO
364Failed asserting that true is false.
365
366/workspace/src/tests/phpunit/includes/db/LoadBalancerTest.php:139
367/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
368/workspace/src/maintenance/doMaintenance.php:94
369
37020) WikiPageContentHandlerDbTest::testUpdateRedirectOn with data set #3 ('SomeText', false, 'Foo', false, false, 1)
371Success assertion
372Failed asserting that true matches expected false.
373
374/workspace/src/tests/phpunit/includes/page/WikiPageDbTestBase.php:1195
375/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
376/workspace/src/maintenance/doMaintenance.php:94
377
37821) WikiPageNoContentHandlerDbTest::testUpdateRedirectOn with data set #3 ('SomeText', false, 'Foo', false, false, 1)
379Success assertion
380Failed asserting that true matches expected false.
381
382/workspace/src/tests/phpunit/includes/page/WikiPageDbTestBase.php:1195
383/workspace/src/tests/phpunit/MediaWikiTestCase.php:420
384/workspace/src/maintenance/doMaintenance.php:94
385
386FAILURES!
387Tests: 5543, Assertions: 50908, Errors: 13, Failures: 21, Skipped: 3.

Event Timeline

hashar created this task.Mar 29 2018, 3:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 3:34 PM
hashar triaged this task as Low priority.Mar 29 2018, 3:34 PM

Not that we care much about sqlite :]

hashar updated the task description. (Show Details)
Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Apr 6 2018, 2:27 AM
hashar updated the task description. (Show Details)Apr 11 2018, 9:17 AM
hashar updated the task description. (Show Details)Apr 17 2018, 3:34 PM
aaron added a subscriber: aaron.Fri, Jun 28, 9:34 PM

Is this still a problem?

hashar closed this task as Resolved.Tue, Jul 2, 10:59 AM
hashar claimed this task.

From T192372, sqlite used to fail:

But that got fixed eventually for most branches. I ran the tests for each branches via a specific job ( https://integration.wikimedia.org/ci/job/quibble-integration/23/ ) and sqlite tests only fail on REL1_31.

So it is good enough.

Failures for reference:

There were 7 failures:

1) ApiQueryContributionsTest::testSorting with data set "User IDs, write both" (1, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), false, 9)
Batching with limit 1
Failed asserting that 10 is equal to 9 or is less than 9.

/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:115
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

2) ApiQueryContributionsTest::testSorting with data set "User IDs, write both, reverse" (1, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), true, 9)
Result set is the same when batching with limit 1
Failed asserting that Array &0 (
    'ApiQueryContributionsTest B' => Array &1 (
        0 => 56
    )
) is identical to Array &0 (
    'ApiQueryContributionsTest B' => Array &1 (
        0 => 56
        1 => 63
        2 => 70
    )
    'ApiQueryContributionsTest A' => Array &2 (
        0 => 55
        1 => 62
        2 => 69
    )
    'ApiQueryContributionsTest C' => Array &3 (
        0 => 54
        1 => 61
        2 => 68
    )
).

/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:117
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

3) ApiQueryContributionsTest::testSorting with data set "User IDs, write new" (2, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), false, 9)
Batching with limit 1
Failed asserting that 10 is equal to 9 or is less than 9.

/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:115
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

4) ApiQueryContributionsTest::testSorting with data set "User IDs, write new, reverse" (2, array(array('ApiQueryContributionsTest A', 'ApiQueryContributionsTest B', 'ApiQueryContributionsTest C')), true, 9)
Result set is the same when batching with limit 1
Failed asserting that Array &0 (
    'ApiQueryContributionsTest B' => Array &1 (
        0 => 56
    )
) is identical to Array &0 (
    'ApiQueryContributionsTest B' => Array &1 (
        0 => 56
        1 => 63
        2 => 70
    )
    'ApiQueryContributionsTest A' => Array &2 (
        0 => 55
        1 => 62
        2 => 69
    )
    'ApiQueryContributionsTest C' => Array &3 (
        0 => 54
        1 => 61
        2 => 68
    )
).

/workspace/src/tests/phpunit/includes/api/query/ApiQueryUserContributionsTest.php:117
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

5) LBFactoryTest::testInvalidSelectDB
Failed asserting that true is false.

/workspace/src/tests/phpunit/includes/db/LBFactoryTest.php:506
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

6) WikiPageContentHandlerDbTest::testUpdateRedirectOn with data set #3 ('SomeText', false, 'Foo', false, false, 1)
Success assertion
Failed asserting that true matches expected false.

/workspace/src/tests/phpunit/includes/page/WikiPageDbTestBase.php:1195
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

7) WikiPageNoContentHandlerDbTest::testUpdateRedirectOn with data set #3 ('SomeText', false, 'Foo', false, false, 1)
Success assertion
Failed asserting that true matches expected false.

/workspace/src/tests/phpunit/includes/page/WikiPageDbTestBase.php:1195
/workspace/src/tests/phpunit/MediaWikiTestCase.php:421
/workspace/src/maintenance/doMaintenance.php:94

FAILURES!
Tests: 5836, Assertions: 51713, Failures: 7, Skipped: 9.